Package org.apache.wiki.event

## Interface WikiEventListener

All Superinterfaces:
  `java.util.EventListener`

    public interface WikiEventListener
    extends java.util.EventListener

Defines an interface for an object that listens for WikiEvents.

Since:
  2.3.92

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `actionPerformed​(WikiEvent event)` Fired when a WikiEvent is triggered by an event source.

### Method Detail

#### actionPerformed

    void actionPerformed​(WikiEvent event)

Fired when a WikiEvent is triggered by an event source.

Parameters:
  `event` - a WikiEvent object